Subject: RE: [nemo] Comments on RO Taxonomy draft

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Fri, 30 Jul 2004 13:31:51 +0200

Well, VMNs would need to participate to the routing protocol. You may
call it a MANET, and in fact it's related, but it's not one of the
experimental RFCS since we need to carry prefixes. Do I miss something?

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of Masafumi Watari
> Sent: jeudi 29 juillet 2004 14:27
> To: Pascal Thubert (pthubert)
> Cc: [email-masked]
> Subject: Re: [nemo] Comments on RO Taxonomy draft
> 
> Hello Pascal-san,
> 
> Well, for case 1 & 2, I understand that such integration may be a
> possible solution, and that alternate routes can avoid the tunnels.
> 
> But I'm also concerned when the node is a VMN.  If we allow VMNs to
> attach behind any nested NEMO, the VMNs will always use the
> bi-directional tunnel with it's home agent, and thus the alternative
> routes can not be utilized.
> 
> So I'm not sure it works so easily with the ad-hoc routing protocols,
> and that we might need to consider other approaches to support both
> type of nodes.
> 
> Even if we don't consider VMNs for now, we do need to consider case 3,
> I think.
> 
> watari
> 
> On Thu, 29 Jul 2004 10:41:10 +0200,
> "Pascal Thubert (pthubert)" <[email-masked]> wrote:
> 
> > Hi Masafumi-san
> >
> > For case 1 & 2, I'm wondering if you're talking about a NEMO problem
> > versus a smooth integration of NEMO and a ad-hoc routing protocol
within
> > the nested structure.
> >
> > Basically, Nemo establishes a default route over a tunnel. NEMO RO
to CR
> > will establish additional routes over other (MR to CR, CR being a
subset
> > of MR)) tunnels, which you may call 'route projection' as opposed to
> > traditional route injection.
> >
> > If a routing protocol provides alternate routes within the nested
> > structure, all these tunnels are completely bypassed. This is
> > transparent to the LFNs.
> >
> > Pascal
> >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]] On
Behalf
> > Of Masafumi Watari
> > > Sent: mercredi 28 juillet 2004 17:27
> > > To: [email-masked]
> > > Subject: [nemo] Comments on RO Taxonomy draft
> > >
> > > Hi all,
> > >
> > > It seems to me that many proposals on route optimization in nested
> > > NEMO are focused in the case where the correspondent nodes is
located
> > > at the infrastructure.  For example, route optimization with MIP6
> > > correspondent nodes, correspondent routers, or IPv6 nodes with
> > > forwarding to the home agent from the root MR.  I think this is
also
> > > true for the taxonomy draft.
> > >
> > > However, I believe that there are other cases which we should
consider
> > > to provide a full route optimization.  Precisely, the cases where
the
> > > correspondent node is also behind a nested NEMO, if its within the
> > > scope of the WG.
> > >
> > > For example, when a node is behind another nested NEMO, the
discovery
> > > becomes much more complex, since the you must also discover the
tree
> > > of the other nest.  Furthermore if the solution is to use
tunneling or
> > > routing headers for each MR, this overhead become severe.
> > >
> > > Below are the cases that are in my mind for now.
> > >
> > > Case 1: Same MR, same nested NEMO
> > > Two communicating nodes are located behind the same mobile router,
and
> > > behind the same nested NEMO.
> > >
> > > Case 2: Different MR, but same nested NEMO.
> > > Two communicating nodes are located behind a different mobile
router,
> > > but each mobile router is attached behind the same nested NEMO.
> > >
> > > Case 3: Different nested NEMO.
> > > Two communicating nodes are located behind a different nested
NEMO.
> > >
> > > Furtheremore, for each case, we might need to consider the case
where
> > > the two nodes are both LFNs, both VMNs, or a LFN and a VMN. If
> > > optimization involves VMN, this could be complex even in case 1.
> > >
> > > Any comments?
> > >
> > > Best regards,
> > > watari
> >
> >
>

---

From: Masafumi Watari <[email-masked]>
Date: Sat, 31 Jul 2004 01:23:10 +0900 (JST)

Hello,

No, you're correct.  But if one of the node is a LFN, then home
address of VMN is used which causes a routing to the infrastructure.
Such approach can solve some cases, but not all.  So, maybe something
like a proxy HA inside the nest in needed.

Also, I think that if solutions assume the correspondent nodes to be
an extended CN, or a CR, then its okay since optimization is possible
with those nodes, and are useful in some situations.

But if a bi-directional tunnel with the home agent is used, then its a
problem becuase CN can be hiding under another nested NEMO, which is
the case 3, I mentioned.  You might have an optimized path to the HA
from the outgoing nest, but after that, its all tunneling among the
HAs to the CN.  This is also true for RRH, if I am correct.

Masafumi Watari

On Fri, 30 Jul 2004 13:31:51 +0200,